.news-container {
  margin: 1rem auto;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows:auto;
  gap: 15px 15px;
  grid-template-areas:
    "News-1"
	"News-2"
	"News-3"
	"News-4"
	"News-5"
	"News-6"
	"Additional"
    "Button-Group";
	@include media-breakpoint-up(lg) {
		grid-template-areas:
    	"News-1 News-2 News-3"
    	"News-4 News-5 News-6"
		"Additional Additional Additional"
		"Button-Group Button-Group Button-Group";
		grid-template-columns: 1fr 1fr 1fr;
		grid-template-rows: 1fr 1fr auto auto;
	}
  @include media-breakpoint-up(xl) {
	margin: 1rem auto 5rem auto;
	grid-template-areas:
    "News-1 News-2 News-3 Button-Group"
    "News-4 News-5 News-6 Button-Group"
    "Additional Additional Additional Additional";
	grid-template-columns: 1fr 1fr 1fr 1fr;
	grid-template-rows: 1fr 1fr auto;
  }
  justify-content: center;
  align-content: stretch;
  justify-items: stretch;
	p {
		grid-area: Additional;
	}
  p > a {
	text-align:center;
	color:$body-color;
	display:block;
	text-decoration-color:$secondary;
	font-weight:$font-weight-bold;
  }
  .Button-Group {
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows:auto;
	gap: 15px 0px;
	grid-template-areas:
    "Button-1"
    "Button-2"
    "Button-3";
	  @include media-breakpoint-up(lg) {
		  grid-template-areas:
	  "Button-1 Button-2 Button-3";
		  grid-template-columns: 1fr 1fr 1fr;
		  grid-template-rows: 1fr;
		  gap: 15px;
	  }
	@include media-breakpoint-up(xl) {
	  grid-template-areas:
	  "Button-1 Button-1 Button-1"
	  "Button-2 Button-2 Button-2"
	  "Button-3 Button-3 Button-3";
	  grid-template-columns: 1fr 1fr 1fr;
	  grid-template-rows: 1fr 1fr 1fr;
	}
	grid-area: Button-Group;
	justify-items: stretch;
	align-items: stretch;
	& > div {
	  display: flex;
	  justify-content: center;
	  align-items: center;
	  background: linear-gradient(0deg, rgba(255, 255, 255, 0.4), rgba(255, 255, 255, 0.4)), $secondary;
		a.icon-card {
			background: transparent !important;
			cursor:pointer;
		}
	  &:hover {
		background: linear-gradient(0deg, rgba(255, 255, 255, 0.4), rgba(255, 255, 255, 0.4)), darken($secondary,5%);
		cursor:pointer;
		@include transition($transition-base);

	  }
	}
  }
  .Button-1 { grid-area: Button-1; }
  .Button-2 { grid-area: Button-2; }
  .Button-3 { grid-area: Button-3; }
  .News-2 { grid-area: News-2; }
  .News-3 { grid-area: News-3; }
  .News-4 { grid-area: News-4; }
  .News-5 { grid-area: News-5; }
  .News-6 { grid-area: News-6; }
  .News-1 { grid-area: News-1; }
	.news {
	  background-color:$gray-300;
	  a {
		text-decoration: none;
		color:$body-color;
	  }
	}
}

.news-entry {
	background-color:$gray-300;
	a {
		text-decoration: none;
		color:$body-color;
	}
}

.news-date-category {
  .category {
	@include font-size(16px);
	  flex: 0 1 50%;
  }
  .date {
	color:$gray-700;
  }
}

.news.events {
  padding: 30px 15px;
  background:$gray-300 url('../Icons/map.svg') no-repeat center;
	background-blend-mode: multiply;
	-ms-background-position-x: 94%;
	background-position-x: 94%;
  @include media-breakpoint-up(lg) {
	padding: 40px 50px;
  }
  @include media-breakpoint-up(xl) {
	padding: 40px 80px;
  }
  margin-top: 20px;
  .event {
	position: relative;
	margin-bottom:40px;
	&:last-child {
	  margin-bottom:0;
	}
  }
  h3 {
  }
  a {
	text-decoration:none;
	color:$body-color;
  }
  .date {
	border-radius:100%;
	background-color:$white;
	width:80px;
	height:80px;
	display:flex;
	justify-content:center;
	align-items: center;
	flex-direction:column;
	position:absolute;
	top:-10px;
	left: 0;

	@include media-breakpoint-up(lg) {
	  transform: translateX(-50%);
	}
  }
}

.mahnwache {
  position:relative;
  overflow: hidden;
  margin-top: 20px;
  .content {
	padding: 0 15px;
	  background-color: $primary;
	@include media-breakpoint-up(lg) {
		background-color:transparent;
	  padding: 0 30px;
		position: absolute;
		top: 50%;
		left: 0;
		width: 100%;
		transform:translateY(-50%);
	}
	@include media-breakpoint-up(xl) {
	  padding: 0 100px;
	}
	&-left {
	  flex: 1 0 100%;
	  @include media-breakpoint-up(lg) {
		flex: 0 1 50%;
	  }
	}
	h3 {
		text-shadow: 0 0 5px rgba($black,0.3);
	}
  }
  &:before {
	filter: blur(4px);
	position: absolute;
	width: 102%;
	height: 102%;
	content:"";
	background: rgba(0,0,0,0.3);
	@include media-breakpoint-down(lg) {
	  background: linear-gradient(0deg, rgba(24, 152, 54, 0.05), rgba(24, 152, 54, 0.05));
	  filter: blur(6px);
	}
  }
}

.news-single {
	margin: 2rem 0;
	padding: 0 1rem;
	@include media-breakpoint-up(lg) {
		margin: 2rem 0 3rem 0;
		padding:0;
	}
	.mediaelement-image {
		img {
			//width: 100%;
			//height:auto;
		}
	}
	.news-img-caption {
		margin-top:.5rem;
	}
}

ul.category-menu {
	list-style: none;
	display:flex;
	flex-wrap:wrap;
	padding:0;
	width: 100%;
	li {
		margin-right: 1rem;
		margin-bottom: 1rem;
		display:flex;
		background-color:$gray-500;
		padding:10px;
		&.active {
			background-color:$primary;
		}
		&:last-child {
			margin-right:0;
		}
		a {
			text-decoration:none;
			color:$white;
			display: block;
			line-height: 25px;
			&.no-active {
				svg {
					//transform: rotate(-45deg);
				}
			}
			svg {
				width: 24px;
				height: auto;
				top: -2px;
				position: relative;
			}
		}
	}
}
